#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int t;
    cin>>t;
    long long n,m,k;
    bool rjes[t];
    for(int i=0;i<t;i++)
    {
        cin>>n>>m>>k;
        rjes[i]=(m-(n/k)*((ceil(n/k)*(ceil(n/k)+1))/2) >= (n%k)*((n-(ceil(n/k))*(n-ceil(n/k)+1))/2));
    }
    for(int i=0;i<t;i++)
    if(rjes[i]) cout<<"Tak\n";
    else cout<<"Nie\n";
    return 0;
}